<?php
require_once('config.php');
$request = new \Hepsipay\Request\QueryCardRequest();
$request->setOptions($options);
$request->setId("84095ee7-232a-4134-8be1-a6dd0135bff8"); // Kartı bilgisi tekil kodu (Guid değeridir.)
$request->setCardNumber($_POST["cno"]); // Kart Numarası (15 veya 16 haneli nümerik değerdir.)
$request->setMaskedCardNumber("450803*****4509"); // Maskelenmiş kart bilgisi (Maksimum 15 ya da 16 karakterdir.)
$request->setExpireMonth($_POST["cay"]); // Kart Son Kullanım Tarihi (2 haneli nümerik değerdir.)
$request->setExpireYear($_POST["cyil"]); // Kart Son Kullanım Tarihi (2 haneli nümerik değerdir.)
$request->setMerchantUserId("User_2"); // Kullanıcı kodu (Maksimum 40 karakterdir.)
$request->setMerchantUserCardId("Bankxxx_yyy_kartı"); // Kullanıcı kartı bilgisi kodu (Maksimum 40 karakterdir.)
$request->setCompanyId("9149379b-1b10-4f8e-a2df-a4d500961230"); // Şirkete bilgisi tekil kodu
$response = \Hepsipay\Model\QueryCard::create($request);
echo "<pre>";
echo "\nRESPONSE\n\n";
print_r($response); // Response
echo "\nREQUEST\n\n";
print_r($request->toJsonString()); // Request
echo "</pre>";